SyncFactoryException (Java Platform SE 8 )
Keywords: javax.sql.rowset.spi.SyncFactoryException class
Date: 2016-12-09

compact3
javax.sql.rowset.spi

## Class SyncFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - javax.sql.rowset.spi.SyncFactoryException

- All Implemented Interfaces:
    Serializable, Iterable<Throwable>

      public class SyncFactoryException
      extends SQLException

  Indicates an error with `SyncFactory` mechanism. A disconnected RowSet implementation cannot be used without a `SyncProvider` being successfully instantiated
  See Also:
    `SyncFactory`, `SyncFactoryException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncFactoryException()` Creates new `SyncFactoryException` without detail message.
    `SyncFactoryException(String msg)` Constructs an `SyncFactoryException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### SyncFactoryException

          public SyncFactoryException()

      Creates new `SyncFactoryException` without detail message.

    - #### SyncFactoryException

          public SyncFactoryException(String msg)

      Constructs an `SyncFactoryException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.